import { LitElement, CSSResultArray } from 'lit-element/lit-element.js';
export declare class KCEditableLabel extends LitElement {
    editing: boolean;
    singleline: boolean;
    label: string;
    static readonly styles: CSSResultArray;
    render(): import("lit-element").TemplateResult;
    readonly inputEl: import("lit-element").TemplateResult;
    readonly labelEl: import("lit-element").TemplateResult;
    readonly input: HTMLInputElement | null;
    _onLabelClick(): void;
    _onInputKeyDown(e: KeyboardEvent): void;
    _onInputBlur(): void;
    cancel(): void;
    apply(): void;
}
